# -*- coding: utf-8 -*-

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from .video_intelligence import (
    AnnotateVideoRequest,
    VideoContext,
    LabelDetectionConfig,
    ShotChangeDetectionConfig,
    ObjectTrackingConfig,
    ExplicitContentDetectionConfig,
    FaceDetectionConfig,
    PersonDetectionConfig,
    TextDetectionConfig,
    VideoSegment,
    LabelSegment,
    LabelFrame,
    Entity,
    LabelAnnotation,
    ExplicitContentFrame,
    ExplicitContentAnnotation,
    NormalizedBoundingBox,
    TimestampedObject,
    Track,
    DetectedAttribute,
    Celebrity,
    CelebrityTrack,
    CelebrityRecognitionAnnotation,
    DetectedLandmark,
    FaceDetectionAnnotation,
    PersonDetectionAnnotation,
    VideoAnnotationResults,
    AnnotateVideoResponse,
    VideoAnnotationProgress,
    AnnotateVideoProgress,
    SpeechTranscriptionConfig,
    SpeechContext,
    SpeechTranscription,
    SpeechRecognitionAlternative,
    WordInfo,
    NormalizedVertex,
    NormalizedBoundingPoly,
    TextSegment,
    TextFrame,
    TextAnnotation,
    ObjectTrackingFrame,
    ObjectTrackingAnnotation,
    LogoRecognitionAnnotation,
    StreamingAnnotateVideoRequest,
    StreamingVideoConfig,
    StreamingAnnotateVideoResponse,
    StreamingVideoAnnotationResults,
    StreamingShotChangeDetectionConfig,
    StreamingLabelDetectionConfig,
    StreamingExplicitContentDetectionConfig,
    StreamingObjectTrackingConfig,
    StreamingAutomlActionRecognitionConfig,
    StreamingAutomlClassificationConfig,
    StreamingAutomlObjectTrackingConfig,
    StreamingStorageConfig,
)


__all__ = (
    "AnnotateVideoRequest",
    "VideoContext",
    "LabelDetectionConfig",
    "ShotChangeDetectionConfig",
    "ObjectTrackingConfig",
    "ExplicitContentDetectionConfig",
    "FaceDetectionConfig",
    "PersonDetectionConfig",
    "TextDetectionConfig",
    "VideoSegment",
    "LabelSegment",
    "LabelFrame",
    "Entity",
    "LabelAnnotation",
    "ExplicitContentFrame",
    "ExplicitContentAnnotation",
    "NormalizedBoundingBox",
    "TimestampedObject",
    "Track",
    "DetectedAttribute",
    "Celebrity",
    "CelebrityTrack",
    "CelebrityRecognitionAnnotation",
    "DetectedLandmark",
    "FaceDetectionAnnotation",
    "PersonDetectionAnnotation",
    "VideoAnnotationResults",
    "AnnotateVideoResponse",
    "VideoAnnotationProgress",
    "AnnotateVideoProgress",
    "SpeechTranscriptionConfig",
    "SpeechContext",
    "SpeechTranscription",
    "SpeechRecognitionAlternative",
    "WordInfo",
    "NormalizedVertex",
    "NormalizedBoundingPoly",
    "TextSegment",
    "TextFrame",
    "TextAnnotation",
    "ObjectTrackingFrame",
    "ObjectTrackingAnnotation",
    "LogoRecognitionAnnotation",
    "StreamingAnnotateVideoRequest",
    "StreamingVideoConfig",
    "StreamingAnnotateVideoResponse",
    "StreamingVideoAnnotationResults",
    "StreamingShotChangeDetectionConfig",
    "StreamingLabelDetectionConfig",
    "StreamingExplicitContentDetectionConfig",
    "StreamingObjectTrackingConfig",
    "StreamingAutomlActionRecognitionConfig",
    "StreamingAutomlClassificationConfig",
    "StreamingAutomlObjectTrackingConfig",
    "StreamingStorageConfig",
)
